Bug 110738 - bad source code
bad source code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dia (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 07:37 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-19 18:08:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-24 07:37:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:

Hello there,

I just tried to compile package dia-0_91-2 from Fedora.

The compiler said

svg-import.c(559): remark #592: variable "end" is used before its 
value is set

The source code is

  Point start,end;

  // ...

  ptprop->point_data = end;

By inspection of the source code, I agree with the compiler. This code
needs rework.


Version-Release number of selected component (if applicable):
dia-0_91-2 

How reproducible:
Always

Steps to Reproduce:
1. compile with flag -Wall.
2.
3.
    

Additional info:
Comment 1 Dan Williams 2004-05-14 18:26:36 EDT
Alex, is this legit?  From a strict perspective, it is.  Comments?
Comment 2 d.binderman 2004-05-31 03:30:40 EDT
Still broken in Fedora Core 2 :-<
Comment 3 Dan Williams 2004-08-18 14:05:19 EDT
Fixed in dia-0.94-2
Comment 4 Dan Williams 2004-09-19 18:08:13 EDT
Also now fixed upstream, gnome bug #150548.

Note You need to log in before you can comment on or make changes to this bug.